Subject: bug#62820: [PATCH] gnu: xkeyboard-config: Update to 2.37. (Closes: #62820, #58402)

From: Felix Lechner <[email-masked]>
Date: Fri, 14 Apr 2023 18:15:49 -0700

For legacy reasons, Guix used to offer several version of Meson, but in a
recent core-updates branch all versions prior to 1.1.0 had been retired. [1]
By comparison, the most recent version available in the master branch is
0.63.2, which was released just seven months before meson 1.1.0 was cut. [2]

Meanwhile, some software may not have been ready for that transition. I have
not been able to confirm the suspicion for version 2.36 of xkeyboard-config
via online searches or the respective Git log, but updating xkeyboard-config
to 2.37 solved what has been reported as the last remaining issue in
core-updates [3] for me locally.

Here is the same excerpt quoted in Issue#62820 but without the offending
forward slashes for multi-line continuations. It was produced after this patch
was applied to commit 3bacd3c7 of core-updates:

! $inetmediakbds = \
		a4_rfkb23 a4techKB21 a4techKBS8 acer_ferrari4k acer_laptop \
		armada asus_laptop benqx btc5090 btc6301urf btc9019u \
		cherrybluea cherryblueb cherrycyboard chicony042 \
		compalfl90 compaqik13 compaqik18 creativedw7000 \
		cymotionlinux dellm65 dellusbmm dexxa diamond dtk2000 \
		emachines ennyah_dkb1008 fscaa1667g genius geniuscomfy \
		geniuscomfy2 geniuskb19e hp5xx hpdv5 hpi6 hpxe3gc hpxe3gf \
		hpxe4xxx hpxt1000 hpzt11xx inspiron latitude \
		logidinovo logidinovoedge logitech_base logitech_g15 \
		microsoft4000 microsoft7000 microsoftmult microsoftpro \
		microsoftprooem mx1998 mx2500 mx2750 pc105 precision_m \
		presario propeller samsung4500 samsung4510 scorpius \
		silvercrest sk1300 sk2500 sk7100 sp_inet targa_v811 \
		thinkpad thinkpad60 tm2030USB-102 tm2030USB-106 \
		toshiba_s3000 trust trustda trust_slimline unitekkb1925

The data above was extracted from the file

    /gnu/store/5j9synbgzbdjjf2gkyfy9mj83d213qkh-xkeyboard-config-2.37/share/X11/xkb/rules/base

That path contains an extra component 'xkb' relative to the location
identified in Issue#62820 but I believe the path 'share/X11/rules/base' there
was misquoted accidentally.

For the sake of completeness, I'll also mention that xkeyboard-config was
likewise updated in core-updates. The version originally went from 2.34 to
2.36 [4] before being updated to 2.37 herein.

[1] https://git.savannah.gnu.org/cgit/guix.git/commit/?id=311255adc0d1c3b3aa0f6bed5af58e718f0607b2
[2] https://github.com/mesonbuild/meson/tags
[3] https://lists.gnu.org/archive/html/guix-devel/2023-04/msg00214.html
[4] https://issues.guix.gnu.org/57872

* gnu/packages/xorg.scm (xkeyboard-config): Update to 2.37.
---
 gnu/packages/xorg.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index c510547559..94a59bd205 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -3709,7 +3709,7 @@ (define-public xkbutils
 (define-public xkeyboard-config
   (package
     (name "xkeyboard-config")
-    (version "2.36")
+    (version "2.37")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -3717,7 +3717,7 @@ (define-public xkeyboard-config
                     "xkeyboard-config-" version ".tar.xz"))
               (sha256
                (base32
-                "158m7r6ga7w12ry35q6d0z6hilbpj9h7ilw56h55478n58lv26qz"))))
+                "0v4clrxrjygpy5arnb2x3ksvsah5mdprsarhqzbi0qjbmjjq64zb"))))
     (build-system meson-build-system)
     (inputs (list libx11 xkbcomp-intermediate))
     (native-inputs (list gettext-minimal libxslt perl pkg-config python))

base-commit: 3bacd3c76a58ebe70f98be654f09cbd4166093ab
-- 
2.39.2